<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{2D4021DA-415C-4FAD-95FF-6ACA0974A677}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Eagle</RootNamespace>
    <AssemblyName>Eagle</AssemblyName>
    <EagleDir>$(MSBuildProjectDirectory)\..</EagleDir>
    <EagleProjectName>Eagle Library</EagleProjectName>
    <BaseAddress>1627389952</BaseAddress>
  </PropertyGroup>
  <Import Project="$(EagleDir)\Targets\Eagle.Builds.targets" />
  <Import Project="$(EagleDir)\Targets\Eagle.Settings.targets" />
  <PropertyGroup Condition="'$(EagleOnlyNetFx20)' != 'false'">
    <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleBinaryOutputPath)' != ''">
    <OutputPath>$(EagleBinaryOutputPath)</OutputPath>
    <DocumentationFile Condition="'$(EagleDocumentationFile)' != 'false'">$(EagleBinaryOutputPath)$(AssemblyName).xml</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <DefineConstants>EAGLE;TRACE;DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <DefineConstants>EAGLE;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleData)' != 'false'">
    <Reference Include="System.Data" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleXml)' != 'false'">
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleWeb)' != 'false'">
    <Reference Include="System.Web" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleDrawing)' != 'false'">
    <Reference Include="System.Drawing" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleWinForms)' != 'false'">
    <Reference Include="System.Windows.Forms" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleRemoting)' != 'false'">
    <Reference Include="System.Runtime.Remoting" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Attributes\ArgumentsAttribute.cs" />
    <Compile Include="Attributes\AssemblyDateTimeAttribute.cs" />
    <Compile Include="Attributes\AssemblyLicenseAttribute.cs" />
    <Compile Include="Attributes\AssemblyReleaseAttribute.cs" />
    <Compile Include="Attributes\AssemblySourceIdAttribute.cs" />
    <Compile Include="Attributes\AssemblySourceTimeStampAttribute.cs" />
    <Compile Include="Attributes\AssemblyStrongNameTagAttribute.cs" />
    <Compile Include="Attributes\AssemblyTagAttribute.cs" />
    <Compile Include="Attributes\AssemblyTextAttribute.cs" />
    <Compile Include="Attributes\AssemblyUriAttribute.cs" />
    <Compile Include="Attributes\CommandFlagsAttribute.cs" />
    <Compile Include="Attributes\FunctionFlagsAttribute.cs" />
    <Compile Include="Attributes\MethodFlagsAttribute.cs" />
    <Compile Include="Attributes\ObjectFlagsAttribute.cs" />
    <Compile Include="Attributes\ObjectGroupAttribute.cs" />
    <Compile Include="Attributes\ObjectIdAttribute.cs" />
    <Compile Include="Attributes\ObjectNameAttribute.cs" />
    <Compile Include="Attributes\OperandsAttribute.cs" />
    <Compile Include="Attributes\OperatorFlagsAttribute.cs" />
    <Compile Include="Attributes\PluginFlagsAttribute.cs" />
    <Compile Include="Attributes\ThrowAttribute.cs" />
    <Compile Include="Commands\After.cs" />
    <Compile Include="Commands\Alias.cs" />
    <Compile Include="Commands\Append.cs" />
    <Compile Include="Commands\Apply.cs" />
    <Compile Include="Commands\Array.cs" />
    <Compile Include="Commands\Base64.cs" />
    <Compile Include="Commands\Bgerror.cs" />
    <Compile Include="Commands\Break.cs" />
    <Compile Include="Commands\Catch.cs" />
    <Compile Include="Commands\Cd.cs" />
    <Compile Include="Commands\Clock.cs" />
    <Compile Include="Commands\Close.cs" />
    <Compile Include="Commands\Concat.cs" />
    <Compile Include="Commands\Continue.cs" />
    <Compile Include="Commands\Core.cs" />
    <Compile Include="Commands\Debug.cs" />
    <Compile Include="Commands\Default.cs" />
    <Compile Include="Commands\Delegate.cs" />
    <Compile Include="Commands\Do.cs" />
    <Compile Include="Commands\Downlevel.cs" />
    <Compile Include="Commands\Encoding.cs" />
    <Compile Include="Commands\Ensemble.cs" />
    <Compile Include="Commands\Eof.cs" />
    <Compile Include="Commands\Error.cs" />
    <Compile Include="Commands\Eval.cs" />
    <Compile Include="Commands\Exec.cs" />
    <Compile Include="Commands\Exit.cs" />
    <Compile Include="Commands\Expr.cs" />
    <Compile Include="Commands\Fconfigure.cs" />
    <Compile Include="Commands\Fcopy.cs" />
    <Compile Include="Commands\File.cs" />
    <Compile Include="Commands\Flush.cs" />
    <Compile Include="Commands\For.cs" />
    <Compile Include="Commands\Foreach.cs" />
    <Compile Include="Commands\Format.cs" />
    <Compile Include="Commands\Gets.cs" />
    <Compile Include="Commands\Glob.cs" />
    <Compile Include="Commands\Global.cs" />
    <Compile Include="Commands\Guid.cs" />
    <Compile Include="Commands\Hash.cs" />
    <Compile Include="Commands\Host.cs" />
    <Compile Include="Commands\If.cs" />
    <Compile Include="Commands\Incr.cs" />
    <Compile Include="Commands\Info.cs" />
    <Compile Include="Commands\Interp.cs" />
    <Compile Include="Commands\Invoke.cs" />
    <Compile Include="Commands\Join.cs" />
    <Compile Include="Commands\Kill.cs" />
    <Compile Include="Commands\Lappend.cs" />
    <Compile Include="Commands\Lassign.cs" />
    <Compile Include="Commands\Lindex.cs" />
    <Compile Include="Commands\Linsert.cs" />
    <Compile Include="Commands\List.cs" />
    <Compile Include="Commands\Llength.cs" />
    <Compile Include="Commands\Lmap.cs" />
    <Compile Include="Commands\Load.cs" />
    <Compile Include="Commands\Lrange.cs" />
    <Compile Include="Commands\Lremove.cs" />
    <Compile Include="Commands\Lrepeat.cs" />
    <Compile Include="Commands\Lreplace.cs" />
    <Compile Include="Commands\Lreverse.cs" />
    <Compile Include="Commands\Lsearch.cs" />
    <Compile Include="Commands\Lset.cs" />
    <Compile Include="Commands\Lsort.cs" />
    <Compile Include="Commands\Namespace1.cs" />
    <Compile Include="Commands\Namespace2.cs" />
    <Compile Include="Commands\Nop.cs" />
    <Compile Include="Commands\Object.cs" />
    <Compile Include="Commands\Open.cs" />
    <Compile Include="Commands\Package.cs" />
    <Compile Include="Commands\Parse.cs" />
    <Compile Include="Commands\Pid.cs" />
    <Compile Include="Commands\Proc.cs" />
    <Compile Include="Commands\Puts.cs" />
    <Compile Include="Commands\Pwd.cs" />
    <Compile Include="Commands\Read.cs" />
    <Compile Include="Commands\Regexp.cs" />
    <Compile Include="Commands\Regsub.cs" />
    <Compile Include="Commands\Rename.cs" />
    <Compile Include="Commands\Return.cs" />
    <Compile Include="Commands\Scope.cs" />
    <Compile Include="Commands\Seek.cs" />
    <Compile Include="Commands\Set.cs" />
    <Compile Include="Commands\Source.cs" />
    <Compile Include="Commands\Split.cs" />
    <Compile Include="Commands\String.cs" />
    <Compile Include="Commands\Subst.cs" />
    <Compile Include="Commands\Switch.cs" />
    <Compile Include="Commands\Tell.cs" />
    <Compile Include="Commands\Test1.cs" />
    <Compile Include="Commands\Test2.cs" />
    <Compile Include="Commands\Throw.cs" />
    <Compile Include="Commands\Time.cs" />
    <Compile Include="Commands\Truncate.cs" />
    <Compile Include="Commands\Try.cs" />
    <Compile Include="Commands\Unload.cs" />
    <Compile Include="Commands\Unset.cs" />
    <Compile Include="Commands\Update.cs" />
    <Compile Include="Commands\Uplevel.cs" />
    <Compile Include="Commands\Upvar.cs" />
    <Compile Include="Commands\Uri.cs" />
    <Compile Include="Commands\Variable.cs" />
    <Compile Include="Commands\Version.cs" />
    <Compile Include="Commands\Vwait.cs" />
    <Compile Include="Commands\While.cs" />
    <Compile Include="Comparers\Ascii.cs" />
    <Compile Include="Comparers\Command.cs" />
    <Compile Include="Comparers\Custom.cs" />
    <Compile Include="Comparers\Dictionary.cs" />
    <Compile Include="Comparers\FileName.cs" />
    <Compile Include="Comparers\Glob.cs" />
    <Compile Include="Comparers\Integer.cs" />
    <Compile Include="Comparers\Interpreter.cs" />
    <Compile Include="Comparers\Match.cs" />
    <Compile Include="Comparers\Pair.cs" />
    <Compile Include="Comparers\Random.cs" />
    <Compile Include="Comparers\Real.cs" />
    <Compile Include="Comparers\Regexp.cs" />
    <Compile Include="Comparers\StringObject.cs" />
    <Compile Include="Comparers\SubString.cs" />
    <Compile Include="Components\Private\AppDomainOps.cs" />
    <Compile Include="Components\Private\ArgumentInfo.cs" />
    <Compile Include="Components\Private\ArrayOps.cs" />
    <Compile Include="Components\Private\ArraySearch.cs" />
    <Compile Include="Components\Private\AssemblyOps.cs" />
    <Compile Include="Components\Private\AttributeFlags.cs" />
    <Compile Include="Components\Private\AttributeOps.cs" />
    <Compile Include="Components\Private\BinderClientData.cs" />
    <Compile Include="Components\Private\CallFrameOps.cs" />
    <Compile Include="Components\Private\CertificateOps.cs" />
    <Compile Include="Components\Private\Channel.cs" />
    <Compile Include="Components\Private\ChannelStream.cs" />
    <Compile Include="Components\Private\CommandBuilder.cs" />
    <Compile Include="Components\Private\CommandCallback.cs" />
    <Compile Include="Components\Private\CommonOps.cs" />
    <Compile Include="Components\Private\ConversionOps.cs" />
    <Compile Include="Components\Private\DebugOps.cs" />
    <Compile Include="Components\Private\DebuggerOps.cs" />
    <Compile Include="Components\Private\DefineConstants.cs" />
    <Compile Include="Components\Private\DelegateOps.cs" />
    <Compile Include="Components\Private\Delegates.cs" />
    <Compile Include="Components\Private\EntityOps.cs" />
    <Compile Include="Components\Private\EnumOps.cs" />
    <Compile Include="Components\Private\EventOps.cs" />
    <Compile Include="Components\Private\FileOps.cs" />
    <Compile Include="Components\Private\FlagOps.cs" />
    <Compile Include="Components\Private\FormatOps.cs" />
    <Compile Include="Components\Private\GenericOps.cs" />
    <Compile Include="Components\Private\GlobalState.cs" />
    <Compile Include="Components\Private\HelpOps.cs" />
    <Compile Include="Components\Private\HostOps.cs" />
    <Compile Include="Components\Private\InteractiveOps.cs" />
    <Compile Include="Components\Private\ListOps.cs" />
    <Compile Include="Components\Private\LogicOps.cs" />
    <Compile Include="Components\Private\MarshalOps.cs" />
    <Compile Include="Components\Private\MathOps.cs" />
    <Compile Include="Components\Private\Namespace.cs" />
    <Compile Include="Components\Private\NamespaceOps.cs" />
    <Compile Include="Components\Private\NullEnumerator.cs" />
    <Compile Include="Components\Private\ObjectOps.cs" />
    <Compile Include="Components\Private\OperatorData.cs" />
    <Compile Include="Components\Private\Operators.cs" />
    <Compile Include="Components\Private\PackageOps.cs" />
    <Compile Include="Components\Private\PatchLevel.cs" />
    <Compile Include="Components\Private\PathOps.cs" />
    <Compile Include="Components\Private\PerformanceClientData.cs" />
    <Compile Include="Components\Private\PerformanceOps.cs" />
    <Compile Include="Components\Private\PlatformOps.cs" />
    <Compile Include="Components\Private\PolicyOps.cs" />
    <Compile Include="Components\Private\ProcessOps.cs" />
    <Compile Include="Components\Private\ProfileOps.cs" />
    <Compile Include="Components\Private\PublicKeys.cs" />
    <Compile Include="Components\Private\RegExOps.cs" />
    <Compile Include="Components\Private\RegsubClientData.cs" />
    <Compile Include="Components\Private\ResolverClientData.cs" />
    <Compile Include="Components\Private\ResourceId.cs" />
    <Compile Include="Components\Private\ResourceOps.cs" />
    <Compile Include="Components\Private\ResultOps.cs" />
    <Compile Include="Components\Private\RuntimeOps.cs" />
    <Compile Include="Components\Private\ScriptBinder.cs" />
    <Compile Include="Components\Private\ScriptEnumerator.cs" />
    <Compile Include="Components\Private\ScriptOps.cs" />
    <Compile Include="Components\Private\SetupOps.cs" />
    <Compile Include="Components\Private\StringOps.cs" />
    <Compile Include="Components\Private\TclVars.cs" />
    <Compile Include="Components\Private\TestOps.cs" />
    <Compile Include="Components\Private\ThreadOps.cs" />
    <Compile Include="Components\Private\TimeOps.cs" />
    <Compile Include="Components\Private\TraceOps.cs" />
    <Compile Include="Components\Private\Vars.cs" />
    <Compile Include="Components\Private\WindowOps.cs" />
    <Compile Include="Components\Public\AliasData.cs" />
    <Compile Include="Components\Public\AnyPair.cs" />
    <Compile Include="Components\Public\AnyTriplet.cs" />
    <Compile Include="Components\Public\Argument.cs" />
    <Compile Include="Components\Public\AsynchronousContext.cs" />
    <Compile Include="Components\Public\CallFrame.cs" />
    <Compile Include="Components\Public\ChangeTypeData.cs" />
    <Compile Include="Components\Public\Characters.cs" />
    <Compile Include="Components\Public\ClientData.cs" />
    <Compile Include="Components\Public\ClockData.cs" />
    <Compile Include="Components\Public\CommandData.cs" />
    <Compile Include="Components\Public\Constants.cs" />
    <Compile Include="Components\Public\DelegateData.cs" />
    <Compile Include="Components\Public\Delegates.cs" />
    <Compile Include="Components\Public\Engine.cs" />
    <Compile Include="Components\Public\EnsembleData.cs" />
    <Compile Include="Components\Public\Enumerations.cs" />
    <Compile Include="Components\Public\EnvVars.cs" />
    <Compile Include="Components\Public\Event.cs" />
    <Compile Include="Components\Public\EventManager.cs" />
    <Compile Include="Components\Public\Expression.cs" />
    <Compile Include="Components\Public\FunctionData.cs" />
    <Compile Include="Components\Public\HostData.cs" />
    <Compile Include="Components\Public\Interpreter.cs" />
    <Compile Include="Components\Public\InterpreterDisposedException.cs" />
    <Compile Include="Components\Public\InterpreterSettings.cs" />
    <Compile Include="Components\Public\License.cs" />
    <Compile Include="Components\Public\MessageEventArgs.cs" />
    <Compile Include="Components\Public\MutableAnyPair.cs" />
    <Compile Include="Components\Public\MutableAnyTriplet.cs" />
    <Compile Include="Components\Public\NamespaceData.cs" />
    <Compile Include="Components\Public\Number.cs" />
    <Compile Include="Components\Public\ObjectData.cs" />
    <Compile Include="Components\Public\ObjectPair.cs" />
    <Compile Include="Components\Public\ObjectTriplet.cs" />
    <Compile Include="Components\Public\Option.cs" />
    <Compile Include="Components\Public\PackageData.cs" />
    <Compile Include="Components\Public\Pair.cs" />
    <Compile Include="Components\Public\Parser.cs" />
    <Compile Include="Components\Public\PluginData.cs" />
    <Compile Include="Components\Public\PolicyContext.cs" />
    <Compile Include="Components\Public\PolicyData.cs" />
    <Compile Include="Components\Public\ProcedureData.cs" />
    <Compile Include="Components\Public\ResolveData.cs" />
    <Compile Include="Components\Public\Result.cs" />
    <Compile Include="Components\Public\Script.cs" />
    <Compile Include="Components\Public\ScriptBlocks.cs" />
    <Compile Include="Components\Public\ScriptBuilder.cs" />
    <Compile Include="Components\Public\ScriptClientData.cs" />
    <Compile Include="Components\Public\ScriptEngineException.cs" />
    <Compile Include="Components\Public\ScriptException.cs" />
    <Compile Include="Components\Public\ScriptLocation.cs" />
    <Compile Include="Components\Public\ScriptPolicy.cs" />
    <Compile Include="Components\Public\ScriptThread.cs" />
    <Compile Include="Components\Public\ScriptTypes.cs" />
    <Compile Include="Components\Public\StringPair.cs" />
    <Compile Include="Components\Public\TraceData.cs" />
    <Compile Include="Components\Public\TraceInfo.cs" />
    <Compile Include="Components\Public\Triplet.cs" />
    <Compile Include="Components\Public\TypedInstance.cs" />
    <Compile Include="Components\Public\TypedMember.cs" />
    <Compile Include="Components\Public\Utility.cs" />
    <Compile Include="Components\Public\Value.cs" />
    <Compile Include="Components\Public\Variable.cs" />
    <Compile Include="Components\Public\Variant.cs" />
    <Compile Include="Containers\Private\AliasWrapperDictionary.cs" />
    <Compile Include="Containers\Private\ArgumentInfoList.cs" />
    <Compile Include="Containers\Private\ArraySearchDictionary.cs" />
    <Compile Include="Containers\Private\CallbackDictionary.cs" />
    <Compile Include="Containers\Private\ChannelDictionary.cs" />
    <Compile Include="Containers\Private\CharDictionary.cs" />
    <Compile Include="Containers\Private\CharList.cs" />
    <Compile Include="Containers\Private\CommandWrapperDictionary.cs" />
    <Compile Include="Containers\Private\ConstructorInfoList.cs" />
    <Compile Include="Containers\Private\CultureInfoDictionary.cs" />
    <Compile Include="Containers\Private\DelegateDictionary.cs" />
    <Compile Include="Containers\Private\DoubleDictionary.cs" />
    <Compile Include="Containers\Private\EncodingDictionary.cs" />
    <Compile Include="Containers\Private\EventQueue.cs" />
    <Compile Include="Containers\Private\ExecuteDictionary.cs" />
    <Compile Include="Containers\Private\ExecuteWrapperDictionary.cs" />
    <Compile Include="Containers\Private\FunctionWrapperDictionary.cs" />
    <Compile Include="Containers\Private\IntStringBuilderDictionary.cs" />
    <Compile Include="Containers\Private\InterpreterStackList.cs" />
    <Compile Include="Containers\Private\MethodBaseList.cs" />
    <Compile Include="Containers\Private\MethodInfoList.cs" />
    <Compile Include="Containers\Private\ObjectList.cs" />
    <Compile Include="Containers\Private\ObjectWrapperDictionary.cs" />
    <Compile Include="Containers\Private\OperatorWrapperDictionary.cs" />
    <Compile Include="Containers\Private\PackageIndexDictionary.cs" />
    <Compile Include="Containers\Private\PackageWrapperDictionary.cs" />
    <Compile Include="Containers\Private\PluginWrapperDictionary.cs" />
    <Compile Include="Containers\Private\PolicyWrapperDictionary.cs" />
    <Compile Include="Containers\Private\ProcedureWrapperDictionary.cs" />
    <Compile Include="Containers\Private\RegExEnumDictionary.cs" />
    <Compile Include="Containers\Private\RegExList.cs" />
    <Compile Include="Containers\Private\SingleDictionary.cs" />
    <Compile Include="Containers\Private\StreamTranslationList.cs" />
    <Compile Include="Containers\Private\StringListDictionary.cs" />
    <Compile Include="Containers\Private\StringPairDictionary.cs" />
    <Compile Include="Containers\Private\TraceWrapperDictionary.cs" />
    <Compile Include="Containers\Private\TypeChangeTypeCallbackDictionary.cs" />
    <Compile Include="Containers\Private\TypeDelegateDictionary.cs" />
    <Compile Include="Containers\Private\TypePairDictionary.cs" />
    <Compile Include="Containers\Private\TypeToStringCallbackDictionary.cs" />
    <Compile Include="Containers\Private\UlongList.cs" />
    <Compile Include="Containers\Private\WrapperDictionary.cs" />
    <Compile Include="Containers\Public\ArgumentList.cs" />
    <Compile Include="Containers\Public\ByteList.cs" />
    <Compile Include="Containers\Public\CallFrameDictionary.cs" />
    <Compile Include="Containers\Public\CallFrameList.cs" />
    <Compile Include="Containers\Public\CallStack.cs" />
    <Compile Include="Containers\Public\CommandDataList.cs" />
    <Compile Include="Containers\Public\ElementDictionary.cs" />
    <Compile Include="Containers\Public\EnsembleDictionary.cs" />
    <Compile Include="Containers\Public\EnumDictionary.cs" />
    <Compile Include="Containers\Public\ExecuteCallbackDictionary.cs" />
    <Compile Include="Containers\Public\ExpressionStateDictionary.cs" />
    <Compile Include="Containers\Public\IntDictionary.cs" />
    <Compile Include="Containers\Public\IntList.cs" />
    <Compile Include="Containers\Public\InterpreterDictionary.cs" />
    <Compile Include="Containers\Public\InterpreterList.cs" />
    <Compile Include="Containers\Public\LongDictionary.cs" />
    <Compile Include="Containers\Public\LongList.cs" />
    <Compile Include="Containers\Public\LongStringDictionary.cs" />
    <Compile Include="Containers\Public\ObjectArrayList.cs" />
    <Compile Include="Containers\Public\ObjectDictionary.cs" />
    <Compile Include="Containers\Public\OptionDictionary.cs" />
    <Compile Include="Containers\Public\PairList.cs" />
    <Compile Include="Containers\Public\ParseStateDictionary.cs" />
    <Compile Include="Containers\Public\PathDictionary.cs" />
    <Compile Include="Containers\Public\PolicyDataList.cs" />
    <Compile Include="Containers\Public\QueueList.cs" />
    <Compile Include="Containers\Public\ReadOnlyDictionary.cs" />
    <Compile Include="Containers\Public\ResultList.cs" />
    <Compile Include="Containers\Public\ReturnCodeDictionary.cs" />
    <Compile Include="Containers\Public\ReturnCodeList.cs" />
    <Compile Include="Containers\Public\StackList.cs" />
    <Compile Include="Containers\Public\StringDictionary.cs" />
    <Compile Include="Containers\Public\StringList.cs" />
    <Compile Include="Containers\Public\StringPairList.cs" />
    <Compile Include="Containers\Public\StringSortedList.cs" />
    <Compile Include="Containers\Public\TokenList.cs" />
    <Compile Include="Containers\Public\TraceList.cs" />
    <Compile Include="Containers\Public\TypeList.cs" />
    <Compile Include="Containers\Public\UriDictionary.cs" />
    <Compile Include="Containers\Public\VariableDictionary.cs" />
    <Compile Include="Containers\Public\VersionStringDictionary.cs" />
    <Compile Include="Encodings\IdentityEncoding.cs" />
    <Compile Include="Encodings\OneByteEncoding.cs" />
    <Compile Include="Encodings\TclEncoding.cs" />
    <Compile Include="Encodings\TwoByteEncoding.cs" />
    <Compile Include="Functions\Abs.cs" />
    <Compile Include="Functions\Acos.cs" />
    <Compile Include="Functions\Asin.cs" />
    <Compile Include="Functions\Atan.cs" />
    <Compile Include="Functions\Atan2.cs" />
    <Compile Include="Functions\Bool.cs" />
    <Compile Include="Functions\Ceil.cs" />
    <Compile Include="Functions\Core.cs" />
    <Compile Include="Functions\Cos.cs" />
    <Compile Include="Functions\Cosh.cs" />
    <Compile Include="Functions\DateTime.cs" />
    <Compile Include="Functions\Decimal.cs" />
    <Compile Include="Functions\Default.cs" />
    <Compile Include="Functions\Double.cs" />
    <Compile Include="Functions\E.cs" />
    <Compile Include="Functions\Epsilon.cs" />
    <Compile Include="Functions\Exp.cs" />
    <Compile Include="Functions\Flags.cs" />
    <Compile Include="Functions\Floor.cs" />
    <Compile Include="Functions\Fmod.cs" />
    <Compile Include="Functions\Hypot.cs" />
    <Compile Include="Functions\Int.cs" />
    <Compile Include="Functions\List.cs" />
    <Compile Include="Functions\Log.cs" />
    <Compile Include="Functions\Log10.cs" />
    <Compile Include="Functions\Log2.cs" />
    <Compile Include="Functions\Logx.cs" />
    <Compile Include="Functions\Max.cs" />
    <Compile Include="Functions\Min.cs" />
    <Compile Include="Functions\Pi.cs" />
    <Compile Include="Functions\Pow.cs" />
    <Compile Include="Functions\Rand.cs" />
    <Compile Include="Functions\Random.cs" />
    <Compile Include="Functions\Randstr.cs" />
    <Compile Include="Functions\Round.cs" />
    <Compile Include="Functions\Round2.cs" />
    <Compile Include="Functions\Round3.cs" />
    <Compile Include="Functions\Sign.cs" />
    <Compile Include="Functions\Sin.cs" />
    <Compile Include="Functions\Sinh.cs" />
    <Compile Include="Functions\Sqrt.cs" />
    <Compile Include="Functions\Srand.cs" />
    <Compile Include="Functions\Tan.cs" />
    <Compile Include="Functions\Tanh.cs" />
    <Compile Include="Functions\TimeSpan.cs" />
    <Compile Include="Functions\Truncate.cs" />
    <Compile Include="Functions\Typeof.cs" />
    <Compile Include="Functions\Wide.cs" />
    <Compile Include="Generated\messages.cs" />
    <Compile Include="Hosts\Core.cs" />
    <Compile Include="Hosts\Default.cs" />
    <Compile Include="Hosts\Diagnostic.cs" />
    <Compile Include="Hosts\Null.cs" />
    <Compile Include="Hosts\Wrapper.cs" />
    <Compile Include="Interfaces\Private\Operator.cs" />
    <Compile Include="Interfaces\Private\OperatorData.cs" />
    <Compile Include="Interfaces\Private\String.cs" />
    <Compile Include="Interfaces\Private\ToString.cs" />
    <Compile Include="Interfaces\Public\Alias.cs" />
    <Compile Include="Interfaces\Public\AliasData.cs" />
    <Compile Include="Interfaces\Public\AnyPair.cs" />
    <Compile Include="Interfaces\Public\AnyTriplet.cs" />
    <Compile Include="Interfaces\Public\Argument.cs" />
    <Compile Include="Interfaces\Public\AsynchronousContext.cs" />
    <Compile Include="Interfaces\Public\Binder.cs" />
    <Compile Include="Interfaces\Public\Callback.cs" />
    <Compile Include="Interfaces\Public\CallbackData.cs" />
    <Compile Include="Interfaces\Public\CallFrame.cs" />
    <Compile Include="Interfaces\Public\ChangeTypeData.cs" />
    <Compile Include="Interfaces\Public\ClientData.cs" />
    <Compile Include="Interfaces\Public\ClockData.cs" />
    <Compile Include="Interfaces\Public\Command.cs" />
    <Compile Include="Interfaces\Public\CommandData.cs" />
    <Compile Include="Interfaces\Public\DebugHost.cs" />
    <Compile Include="Interfaces\Public\DebugManager.cs" />
    <Compile Include="Interfaces\Public\DelegateData.cs" />
    <Compile Include="Interfaces\Public\DynamicExecute.cs" />
    <Compile Include="Interfaces\Public\DynamicExecuteTrace.cs" />
    <Compile Include="Interfaces\Public\EngineHost.cs" />
    <Compile Include="Interfaces\Public\EngineManager.cs" />
    <Compile Include="Interfaces\Public\Ensemble.cs" />
    <Compile Include="Interfaces\Public\EnsembleData.cs" />
    <Compile Include="Interfaces\Public\EntityManager.cs" />
    <Compile Include="Interfaces\Public\Error.cs" />
    <Compile Include="Interfaces\Public\ErrorManager.cs" />
    <Compile Include="Interfaces\Public\Event.cs" />
    <Compile Include="Interfaces\Public\EventManager.cs" />
    <Compile Include="Interfaces\Public\Execute.cs" />
    <Compile Include="Interfaces\Public\ExecuteArgument.cs" />
    <Compile Include="Interfaces\Public\ExecuteRequest.cs" />
    <Compile Include="Interfaces\Public\ExecuteTrace.cs" />
    <Compile Include="Interfaces\Public\ExpressionState.cs" />
    <Compile Include="Interfaces\Public\ExpressionToken.cs" />
    <Compile Include="Interfaces\Public\Function.cs" />
    <Compile Include="Interfaces\Public\FunctionData.cs" />
    <Compile Include="Interfaces\Public\GetClientData.cs" />
    <Compile Include="Interfaces\Public\GetInterpreter.cs" />
    <Compile Include="Interfaces\Public\GetValue.cs" />
    <Compile Include="Interfaces\Public\HaveClientData.cs" />
    <Compile Include="Interfaces\Public\HaveInterpreter.cs" />
    <Compile Include="Interfaces\Public\Host.cs" />
    <Compile Include="Interfaces\Public\HostData.cs" />
    <Compile Include="Interfaces\Public\Identifier.cs" />
    <Compile Include="Interfaces\Public\InformationHost.cs" />
    <Compile Include="Interfaces\Public\InteractiveHost.cs" />
    <Compile Include="Interfaces\Public\InteractiveManager.cs" />
    <Compile Include="Interfaces\Public\Interpreter.cs" />
    <Compile Include="Interfaces\Public\InterpreterManager.cs" />
    <Compile Include="Interfaces\Public\MutableAnyPair.cs" />
    <Compile Include="Interfaces\Public\MutableAnyTriplet.cs" />
    <Compile Include="Interfaces\Public\Namespace.cs" />
    <Compile Include="Interfaces\Public\NamespaceData.cs" />
    <Compile Include="Interfaces\Public\Object.cs" />
    <Compile Include="Interfaces\Public\ObjectData.cs" />
    <Compile Include="Interfaces\Public\Option.cs" />
    <Compile Include="Interfaces\Public\Package.cs" />
    <Compile Include="Interfaces\Public\PackageData.cs" />
    <Compile Include="Interfaces\Public\PackageManager.cs" />
    <Compile Include="Interfaces\Public\Pair.cs" />
    <Compile Include="Interfaces\Public\ParseState.cs" />
    <Compile Include="Interfaces\Public\Plugin.cs" />
    <Compile Include="Interfaces\Public\PluginData.cs" />
    <Compile Include="Interfaces\Public\PluginManager.cs" />
    <Compile Include="Interfaces\Public\Policy.cs" />
    <Compile Include="Interfaces\Public\PolicyContext.cs" />
    <Compile Include="Interfaces\Public\PolicyData.cs" />
    <Compile Include="Interfaces\Public\Procedure.cs" />
    <Compile Include="Interfaces\Public\ProcedureData.cs" />
    <Compile Include="Interfaces\Public\PropertyManager.cs" />
    <Compile Include="Interfaces\Public\Resolve.cs" />
    <Compile Include="Interfaces\Public\ResolveData.cs" />
    <Compile Include="Interfaces\Public\ResolveManager.cs" />
    <Compile Include="Interfaces\Public\ResourceManager.cs" />
    <Compile Include="Interfaces\Public\Result.cs" />
    <Compile Include="Interfaces\Public\Script.cs" />
    <Compile Include="Interfaces\Public\ScriptBinder.cs" />
    <Compile Include="Interfaces\Public\ScriptBuilder.cs" />
    <Compile Include="Interfaces\Public\ScriptLocation.cs" />
    <Compile Include="Interfaces\Public\ScriptManager.cs" />
    <Compile Include="Interfaces\Public\ScriptPolicy.cs" />
    <Compile Include="Interfaces\Public\ScriptThread.cs" />
    <Compile Include="Interfaces\Public\SecurityManager.cs" />
    <Compile Include="Interfaces\Public\SetClientData.cs" />
    <Compile Include="Interfaces\Public\SetInterpreter.cs" />
    <Compile Include="Interfaces\Public\Setup.cs" />
    <Compile Include="Interfaces\Public\SetValue.cs" />
    <Compile Include="Interfaces\Public\State.cs" />
    <Compile Include="Interfaces\Public\StreamHost.cs" />
    <Compile Include="Interfaces\Public\StringList.cs" />
    <Compile Include="Interfaces\Public\SubCommand.cs" />
    <Compile Include="Interfaces\Public\Synchronize.cs" />
    <Compile Include="Interfaces\Public\Syntax.cs" />
    <Compile Include="Interfaces\Public\Token.cs" />
    <Compile Include="Interfaces\Public\Trace.cs" />
    <Compile Include="Interfaces\Public\TraceData.cs" />
    <Compile Include="Interfaces\Public\TraceInfo.cs" />
    <Compile Include="Interfaces\Public\Triplet.cs" />
    <Compile Include="Interfaces\Public\UsageData.cs" />
    <Compile Include="Interfaces\Public\Value.cs" />
    <Compile Include="Interfaces\Public\ValueData.cs" />
    <Compile Include="Interfaces\Public\Variable.cs" />
    <Compile Include="Interfaces\Public\VariableManager.cs" />
    <Compile Include="Interfaces\Public\Wrapper.cs" />
    <Compile Include="Interfaces\Public\WrapperData.cs" />
    <Compile Include="Objects\Default.cs" />
    <Compile Include="Operators\BitwiseAnd.cs" />
    <Compile Include="Operators\BitwiseEqv.cs" />
    <Compile Include="Operators\BitwiseImp.cs" />
    <Compile Include="Operators\BitwiseNot.cs" />
    <Compile Include="Operators\BitwiseOr.cs" />
    <Compile Include="Operators\BitwiseXor.cs" />
    <Compile Include="Operators\Core.cs" />
    <Compile Include="Operators\Default.cs" />
    <Compile Include="Operators\Divide.cs" />
    <Compile Include="Operators\Equal.cs" />
    <Compile Include="Operators\Exponent.cs" />
    <Compile Include="Operators\GreaterThan.cs" />
    <Compile Include="Operators\GreaterThanOrEqualTo.cs" />
    <Compile Include="Operators\LeftRotate.cs" />
    <Compile Include="Operators\LeftShift.cs" />
    <Compile Include="Operators\LessThan.cs" />
    <Compile Include="Operators\LessThanOrEqualTo.cs" />
    <Compile Include="Operators\ListIn.cs" />
    <Compile Include="Operators\ListNotIn.cs" />
    <Compile Include="Operators\LogicalAnd.cs" />
    <Compile Include="Operators\LogicalEqv.cs" />
    <Compile Include="Operators\LogicalImp.cs" />
    <Compile Include="Operators\LogicalNot.cs" />
    <Compile Include="Operators\LogicalOr.cs" />
    <Compile Include="Operators\LogicalXor.cs" />
    <Compile Include="Operators\Minus.cs" />
    <Compile Include="Operators\Modulus.cs" />
    <Compile Include="Operators\Multiply.cs" />
    <Compile Include="Operators\NotEqual.cs" />
    <Compile Include="Operators\Plus.cs" />
    <Compile Include="Operators\RightRotate.cs" />
    <Compile Include="Operators\RightShift.cs" />
    <Compile Include="Operators\StringEqual.cs" />
    <Compile Include="Operators\StringNotEqual.cs" />
    <Compile Include="Packages\Core.cs" />
    <Compile Include="Packages\Default.cs" />
    <Compile Include="Plugins\Core.cs" />
    <Compile Include="Plugins\Default.cs" />
    <Compile Include="Policies\Core.cs" />
    <Compile Include="Policies\Default.cs" />
    <Compile Include="Procedures\Core.cs" />
    <Compile Include="Procedures\Default.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Resolvers\Core.cs" />
    <Compile Include="Resolvers\Default.cs" />
    <Compile Include="Resolvers\Namespace.cs" />
    <Compile Include="Traces\Core.cs" />
    <Compile Include="Traces\Default.cs" />
    <Compile Include="Wrappers\Alias.cs" />
    <Compile Include="Wrappers\Command.cs" />
    <Compile Include="Wrappers\Default.cs" />
    <Compile Include="Wrappers\Execute.cs" />
    <Compile Include="Wrappers\Function.cs" />
    <Compile Include="Wrappers\Object.cs" />
    <Compile Include="Wrappers\Operator.cs" />
    <Compile Include="Wrappers\Package.cs" />
    <Compile Include="Wrappers\Plugin.cs" />
    <Compile Include="Wrappers\Policy.cs" />
    <Compile Include="Wrappers\Procedure.cs" />
    <Compile Include="Wrappers\Trace.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleListCache)' != 'false' Or
                        '$(EagleParseCache)' != 'false' Or
                        '$(EagleExecuteCache)' != 'false' Or
                        '$(EagleTypeCache)' != 'false' Or
                        '$(EagleComTypeCache)' != 'false'">
    <Compile Include="Interfaces\Public\CacheManager.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleHistory)' != 'false'">
    <Compile Include="Components\Private\HistoryClientData.cs" />
    <Compile Include="Components\Private\HistoryOps.cs" />
    <Compile Include="Components\Public\HistoryData.cs" />
    <Compile Include="Components\Public\HistoryFilter.cs" />
    <Compile Include="Containers\Private\ClientDataList.cs" />
    <Compile Include="Interfaces\Public\HistoryData.cs" />
    <Compile Include="Interfaces\Public\HistoryFilter.cs" />
    <Compile Include="Interfaces\Public\HistoryManager.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleIsolatedInterpreters)' != 'false'">
    <Compile Include="Components\Public\InterpreterHelper.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleIsolatedInterpreters)' != 'false' Or
                        '$(EagleIsolatedPlugins)' != 'false'">
    <Compile Include="Components\Public\AsynchronousBridge.cs" />
    <Compile Include="Components\Public\ScriptMarshalByRefObject.cs" />
    <Compile Include="Interfaces\Public\AsynchronousCallback.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(Configuration)' == 'Debug'">
    <Compile Include="Plugins\Test.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleObsolete)' != 'false'">
    <Compile Include="Commands\Getf.cs" />
    <Compile Include="Commands\Setf.cs" />
    <Compile Include="Commands\Unsetf.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleDeadCode)' != 'false'">
    <Compile Include="Comparers\AnyPair.cs" />
    <Compile Include="Components\Private\UintPair.cs" />
    <Compile Include="Containers\Private\ArgumentListList.cs" />
    <Compile Include="Containers\Private\ClientDataDictionary.cs" />
    <Compile Include="Containers\Private\DecimalDictionary.cs" />
    <Compile Include="Containers\Private\LambdaWrapperDictionary.cs" />
    <Compile Include="Containers\Private\MemberInfoList.cs" />
    <Compile Include="Containers\Private\StringBuilderDictionary.cs" />
    <Compile Include="Containers\Private\UintPairList.cs" />
    <Compile Include="Interfaces\Private\Lambda.cs" />
    <Compile Include="Lambdas\Core.cs" />
    <Compile Include="Lambdas\Default.cs" />
    <Compile Include="Wrappers\Lambda.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleDeadCode)' != 'false' And
                        '$(EagleDrawing)' != 'false'">
    <Compile Include="Containers\Private\PointList.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleBreakpoints)' != 'false'">
    <Compile Include="Components\Private\Breakpoint.cs" />
    <Compile Include="Containers\Private\BreakpointDictionary.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleAppDomains)' != 'false'">
    <Compile Include="Containers\Private\AppDomainDictionary.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleNotify)' != 'false' Or
                        '$(EagleNotifyObject)' != 'false'">
    <Compile Include="Attributes\NotifyFlagsAttribute.cs" />
    <Compile Include="Attributes\NotifyTypesAttribute.cs" />
    <Compile Include="Components\Public\ScriptEventArgs.cs" />
    <Compile Include="Interfaces\Public\Notify.cs" />
    <Compile Include="Interfaces\Public\NotifyManager.cs" />
    <Compile Include="Interfaces\Public\ScriptEventArgs.cs" />
    <Compile Include="Plugins\Notify.cs" />
    <Compile Include="Plugins\Object.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleExecuteCache)' != 'false'">
    <Compile Include="Components\Private\ExecuteCache.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleTypeCache)' != 'false'">
    <Compile Include="Containers\Private\TypeDictionary.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleComTypeCache)' != 'false'">
    <Compile Include="Containers\Private\IntPtrTypeListDictionary.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleCacheDictionary)' != 'false'">
    <Compile Include="Containers\Public\CacheDictionary.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleDebugger)' != 'false'">
    <Compile Include="Components\Private\Debugger.cs" />
    <Compile Include="Interfaces\Private\Debugger.cs" />
    <Compile Include="Interfaces\Private\DebuggerData.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleTest)' != 'false'">
    <Compile Include="Tests\Default.cs" />
  </ItemGroup>
  <PropertyGroup Condition="'$(EagleShell)' != 'false'">
    <DefineConstants>$(DefineConstants);SHELL</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleVerbose)' != 'false'">
    <DefineConstants>$(DefineConstants);VERBOSE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleOfficial)' != 'false'">
    <DefineConstants>$(DefineConstants);OFFICIAL</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EaglePatchLevel)' != 'false'">
    <DefineConstants>$(DefineConstants);PATCHLEVEL</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleAssemblyRelease)' != 'false'">
    <DefineConstants>$(DefineConstants);ASSEMBLY_RELEASE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleSourceId)' != 'false'">
    <DefineConstants>$(DefineConstants);SOURCE_ID</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleSourceTimeStamp)' != 'false'">
    <DefineConstants>$(DefineConstants);SOURCE_TIMESTAMP</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleRandomizeId)' != 'false'">
    <DefineConstants>$(DefineConstants);RANDOMIZE_ID</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleSharedIdPool)' != 'false'">
    <DefineConstants>$(DefineConstants);SHARED_ID_POOL</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleAssemblyText)' != 'false'">
    <DefineConstants>$(DefineConstants);ASSEMBLY_TEXT</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleAssemblyStrongNameTag)' != 'false'">
    <DefineConstants>$(DefineConstants);ASSEMBLY_STRONG_NAME_TAG</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleThrowOnDisposed)' != 'false'">
    <DefineConstants>$(DefineConstants);THROW_ON_DISPOSED</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleApprovedVerbs)' != 'false'">
    <DefineConstants>$(DefineConstants);APPROVED_VERBS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleIsolatedInterpreters)' != 'false'">
    <DefineConstants>$(DefineConstants);ISOLATED_INTERPRETERS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleIsolatedPlugins)' != 'false'">
    <DefineConstants>$(DefineConstants);ISOLATED_PLUGINS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleCasPolicy)' != 'false'">
    <DefineConstants>$(DefineConstants);CAS_POLICY</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleEmbeddedLibrary)' != 'false'">
    <DefineConstants>$(DefineConstants);EMBEDDED_LIBRARY</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleFastErrorCode)' != 'false'">
    <DefineConstants>$(DefineConstants);FAST_ERRORCODE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleFastErrorInfo)' != 'false'">
    <DefineConstants>$(DefineConstants);FAST_ERRORINFO</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleWindows)' != 'false'">
    <DefineConstants>$(DefineConstants);WINDOWS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleConsole)' != 'false'">
    <DefineConstants>$(DefineConstants);CONSOLE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNetwork)' != 'false'">
    <DefineConstants>$(DefineConstants);NETWORK</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleUnix)' != 'false'">
    <DefineConstants>$(DefineConstants);UNIX</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleMono)' != 'false'">
    <DefineConstants>$(DefineConstants);MONO</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleMonoBuild)' != 'false'">
    <DefineConstants>$(DefineConstants);MONO_BUILD</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleMonoHacks)' != 'false'">
    <DefineConstants>$(DefineConstants);MONO_HACKS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleMonoLegacy)' != 'false'">
    <DefineConstants>$(DefineConstants);MONO_LEGACY</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleData)' != 'false'">
    <DefineConstants>$(DefineConstants);DATA</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDrawing)' != 'false'">
    <DefineConstants>$(DefineConstants);DRAWING</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleRemoting)' != 'false'">
    <DefineConstants>$(DefineConstants);REMOTING</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleSerialization)' != 'false'">
    <DefineConstants>$(DefineConstants);SERIALIZATION</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleWeb)' != 'false'">
    <DefineConstants>$(DefineConstants);WEB</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleWinForms)' != 'false'">
    <DefineConstants>$(DefineConstants);WINFORMS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleXml)' != 'false'">
    <DefineConstants>$(DefineConstants);XML</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleObsolete)' != 'false'">
    <DefineConstants>$(DefineConstants);OBSOLETE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDeadCode)' != 'false'">
    <DefineConstants>$(DefineConstants);DEAD_CODE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleOnlyNetFx20)' != 'false'">
    <DefineConstants>$(DefineConstants);NET_20_ONLY</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNetFx20FastEnum)' != 'false'">
    <DefineConstants>$(DefineConstants);NET_20_FAST_ENUM</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDebugger)' != 'false'">
    <DefineConstants>$(DefineConstants);DEBUGGER</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDebuggerArguments)' != 'false'">
    <DefineConstants>$(DefineConstants);DEBUGGER_ARGUMENTS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDebuggerEngine)' != 'false'">
    <DefineConstants>$(DefineConstants);DEBUGGER_ENGINE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDebuggerExecute)' != 'false'">
    <DefineConstants>$(DefineConstants);DEBUGGER_EXECUTE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDebuggerExpression)' != 'false'">
    <DefineConstants>$(DefineConstants);DEBUGGER_EXPRESSION</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDebuggerVariable)' != 'false'">
    <DefineConstants>$(DefineConstants);DEBUGGER_VARIABLE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleBreakOnExiting)' != 'false'">
    <DefineConstants>$(DefineConstants);BREAK_ON_EXITING</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleBreakpoints)' != 'false'">
    <DefineConstants>$(DefineConstants);BREAKPOINTS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNotify)' != 'false'">
    <DefineConstants>$(DefineConstants);NOTIFY</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNotifyArguments)' != 'false'">
    <DefineConstants>$(DefineConstants);NOTIFY_ARGUMENTS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNotifyException)' != 'false'">
    <DefineConstants>$(DefineConstants);NOTIFY_EXCEPTION</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNotifyExecute)' != 'false'">
    <DefineConstants>$(DefineConstants);NOTIFY_EXECUTE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNotifyExpression)' != 'false'">
    <DefineConstants>$(DefineConstants);NOTIFY_EXPRESSION</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNotifyGlobal)' != 'false'">
    <DefineConstants>$(DefineConstants);NOTIFY_GLOBAL</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNotifyActive)' != 'false'">
    <DefineConstants>$(DefineConstants);NOTIFY_ACTIVE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNotifyObject)' != 'false'">
    <DefineConstants>$(DefineConstants);NOTIFY_OBJECT</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDebugTrace)' != 'false'">
    <DefineConstants>$(DefineConstants);DEBUG_TRACE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDebugWrite)' != 'false'">
    <DefineConstants>$(DefineConstants);DEBUG_WRITE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EaglePolicyTrace)' != 'false'">
    <DefineConstants>$(DefineConstants);POLICY_TRACE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EaglePreviousResult)' != 'false'">
    <DefineConstants>$(DefineConstants);PREVIOUS_RESULT</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleHistory)' != 'false'">
    <DefineConstants>$(DefineConstants);HISTORY</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleInteractiveCommands)' != 'false'">
    <DefineConstants>$(DefineConstants);INTERACTIVE_COMMANDS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleCallbackQueue)' != 'false'">
    <DefineConstants>$(DefineConstants);CALLBACK_QUEUE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleAppDomains)' != 'false'">
    <DefineConstants>$(DefineConstants);APPDOMAINS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleTest)' != 'false'">
    <DefineConstants>$(DefineConstants);TEST</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleThreading)' != 'false'">
    <DefineConstants>$(DefineConstants);THREADING</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNative)' != 'false'">
    <DefineConstants>$(DefineConstants);NATIVE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNativePackage)' != 'false'">
    <DefineConstants>$(DefineConstants);NATIVE_PACKAGE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNativeUtility)' != 'false'">
    <DefineConstants>$(DefineConstants);NATIVE_UTILITY</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleNativeUtilityBstr)' != 'false'">
    <DefineConstants>$(DefineConstants);NATIVE_UTILITY_BSTR</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleLibrary)' != 'false'">
    <DefineConstants>$(DefineConstants);LIBRARY</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleParseCache)' != 'false'">
    <DefineConstants>$(DefineConstants);PARSE_CACHE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleListCache)' != 'false'">
    <DefineConstants>$(DefineConstants);LIST_CACHE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleExecuteCache)' != 'false'">
    <DefineConstants>$(DefineConstants);EXECUTE_CACHE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleExpressionFlags)' != 'false'">
    <DefineConstants>$(DefineConstants);EXPRESSION_FLAGS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleTypeCache)' != 'false'">
    <DefineConstants>$(DefineConstants);TYPE_CACHE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleComTypeCache)' != 'false'">
    <DefineConstants>$(DefineConstants);COM_TYPE_CACHE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleCacheDictionary)' != 'false'">
    <DefineConstants>$(DefineConstants);CACHE_DICTIONARY</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleCacheArgumentToString)' != 'false'">
    <DefineConstants>$(DefineConstants);CACHE_ARGUMENT_TOSTRING</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleCacheResultToString)' != 'false'">
    <DefineConstants>$(DefineConstants);CACHE_RESULT_TOSTRING</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleCacheArgumentListToString)' != 'false'">
    <DefineConstants>$(DefineConstants);CACHE_ARGUMENTLIST_TOSTRING</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleCacheStringListToString)' != 'false'">
    <DefineConstants>$(DefineConstants);CACHE_STRINGLIST_TOSTRING</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleCacheStatistics)' != 'false'">
    <DefineConstants>$(DefineConstants);CACHE_STATISTICS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleStatic)' != 'false'">
    <DefineConstants>$(DefineConstants);STATIC</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleDynamic)' != 'false'">
    <DefineConstants>$(DefineConstants);DYNAMIC</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleTcl)' != 'false'">
    <DefineConstants>$(DefineConstants);TCL</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleTclKits)' != 'false'">
    <DefineConstants>$(DefineConstants);TCL_KITS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleTclThreaded)' != 'false'">
    <DefineConstants>$(DefineConstants);TCL_THREADED</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleTclThreads)' != 'false'">
    <DefineConstants>$(DefineConstants);TCL_THREADS</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleTclUnicode)' != 'false'">
    <DefineConstants>$(DefineConstants);TCL_UNICODE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(EagleTclWrapper)' != 'false'">
    <DefineConstants>$(DefineConstants);TCL_WRAPPER</DefineConstants>
  </PropertyGroup>
  <ItemGroup Condition="'$(EagleConsole)' != 'false'">
    <Compile Include="Components\Private\ConsoleOps.cs" />
    <Compile Include="Hosts\Console.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleNetwork)' != 'false'">
    <Compile Include="Commands\Socket.cs" />
    <Compile Include="Components\Private\SocketClientData.cs" />
    <Compile Include="Components\Private\SocketOps.cs" />
    <Compile Include="Components\Private\UpdateOps.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleData)' != 'false'">
    <Compile Include="Commands\Sql.cs" />
    <Compile Include="Components\Private\DataOps.cs" />
    <Compile Include="Components\Public\DatabaseVariable.cs" />
    <Compile Include="Containers\Private\DbConnectionDictionary.cs" />
    <Compile Include="Containers\Private\DbTransactionDictionary.cs" />
    <Compile Include="Containers\Public\DbConnectionTypeStringDictionary.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleNative)' != 'false'">
    <Compile Include="Components\Private\NativeOps.cs" />
    <Compile Include="Components\Private\SecurityOps.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleNative)' != 'false' And
                        '$(EagleNativeUtility)' != 'false'">
    <Compile Include="Components\Private\NativeUtility.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleNative)' != 'false' And
                        '$(EagleNativePackage)' != 'false' And
                        '$(EagleTcl)' != 'false'">
    <Compile Include="Components\Public\NativePackage.cs" />
    <Compile Include="Containers\Private\IntPtrInterpreterDictionary.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleNative)' != 'false' And
                        '$(EagleWindows)' != 'false'">
    <Compile Include="Components\Private\NativeConsole.cs" />
    <Compile Include="Components\Private\NativeStack.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleNative)' != 'false' And
                        '$(EagleLibrary)' != 'false'">
    <Compile Include="Commands\Library.cs" />
    <Compile Include="Components\Private\NativeDelegate.cs" />
    <Compile Include="Components\Private\NativeModule.cs" />
    <Compile Include="Containers\Private\DelegateWrapperDictionary.cs" />
    <Compile Include="Containers\Private\ModuleWrapperDictionary.cs" />
    <Compile Include="Interfaces\Private\Delegate.cs" />
    <Compile Include="Interfaces\Private\Module.cs" />
    <Compile Include="Wrappers\Delegate.cs" />
    <Compile Include="Wrappers\Module.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleNative)' != 'false' And
                        '$(EagleTcl)' != 'false'">
    <Compile Include="Commands\Tcl.cs" />
    <Compile Include="Components\Private\TclApi.cs" />
    <Compile Include="Components\Private\TclBridge.cs" />
    <Compile Include="Components\Private\TclBuild.cs" />
    <Compile Include="Components\Private\TclDelegates.cs" />
    <Compile Include="Components\Private\TclEnumerations.cs" />
    <Compile Include="Components\Private\TclModule.cs" />
    <Compile Include="Components\Private\TclWrapper.cs" />
    <Compile Include="Containers\Private\IntPtrDictionary.cs" />
    <Compile Include="Containers\Private\IntPtrList.cs" />
    <Compile Include="Containers\Private\TclBridgeDictionary.cs" />
    <Compile Include="Containers\Private\TclBuildDictionary.cs" />
    <Compile Include="Containers\Private\TypeBoolDictionary.cs" />
    <Compile Include="Containers\Private\TypeIntPtrDictionary.cs" />
    <Compile Include="Interfaces\Private\TclApi.cs" />
    <Compile Include="Interfaces\Public\TclEntityManager.cs" />
    <Compile Include="Interfaces\Public\TclManager.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleShell)' != 'false'">
    <Compile Include="Components\Private\ShellOps.cs" />
    <Compile Include="Interfaces\Public\ShellManager.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleNative)' != 'false' And
                        '$(EagleTcl)' != 'false' And
                        '$(EagleTclThreads)' != 'false'">
    <Compile Include="Components\Private\TclThread.cs" />
    <Compile Include="Containers\Private\TclThreadDictionary.cs" />
    <Compile Include="Containers\Private\TclThreadList.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleNative)' != 'false' And
                        '$(EagleTcl)' != 'false' And
                        '$(EagleDeadCode)' != 'false'">
    <Compile Include="Components\Private\TclStructs.cs" />
    <Compile Include="Components\Public\ObjectTypeData.cs" />
    <Compile Include="Containers\Private\IntPtrObjectTypeDictionary.cs" />
    <Compile Include="Interfaces\Public\ObjectType.cs" />
    <Compile Include="Interfaces\Public\ObjectTypeData.cs" />
    <Compile Include="ObjectTypes\Default.cs" />
    <Compile Include="ObjectTypes\Object.cs" />
    <Compile Include="Wrappers\ObjectType.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleXml)' != 'false'">
    <Compile Include="Commands\Xml.cs" />
    <Compile Include="Components\Private\XmlOps.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleCallbackQueue)' != 'false'">
    <Compile Include="Commands\Callback.cs" />
    <Compile Include="Containers\Private\CallbackQueue.cs" />
    <Compile Include="Interfaces\Public\CallbackQueueManager.cs" />
  </ItemGroup>
  <ItemGroup Condition="'$(EagleThreading)' != 'false'">
    <Compile Include="Components\Private\ContextManager.cs" />
    <Compile Include="Components\Private\EngineContext.cs" />
    <Compile Include="Components\Private\InteractiveContext.cs" />
    <Compile Include="Components\Private\TestContext.cs" />
    <Compile Include="Components\Private\VariableContext.cs" />
    <Compile Include="Containers\Private\InterpreterEngineContextDictionary.cs" />
    <Compile Include="Containers\Private\InterpreterInteractiveContextDictionary.cs" />
    <Compile Include="Containers\Private\InterpreterTestContextDictionary.cs" />
    <Compile Include="Containers\Private\InterpreterVariableContextDictionary.cs" />
    <Compile Include="Interfaces\Private\ContextManager.cs" />
    <Compile Include="Interfaces\Private\EngineContext.cs" />
    <Compile Include="Interfaces\Private\InteractiveContext.cs" />
    <Compile Include="Interfaces\Private\TestContext.cs" />
    <Compile Include="Interfaces\Private\ThreadContext.cs" />
    <Compile Include="Interfaces\Private\VariableContext.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Generated\messages.resources">
      <LogicalName>_Messages.Messages.resources</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\messages.resources">
      <LogicalName>Eagle.resources</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Eagle.ico">
      <LogicalName>Eagle.ico</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Eagle.xsd">
      <LogicalName>Eagle.xsd</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Condition="'$(EagleEmbeddedLibrary)' != 'false'"
                      Include="Resources\library.resources">
      <LogicalName>Library.resources</LogicalName>
    </EmbeddedResource>
    <EmbeddedResource Condition="'$(EagleEmbeddedResourceFile)' != '' And
                                 Exists('$(EagleEmbeddedResourceFile)')"
                      Include="$(EagleEmbeddedResourceFile)">
      <LogicalName>$(EagleEmbeddedResourceName)</LogicalName>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Eagle2.ico" />
    <None Include="Resources\Tcl.ico" />
    <None Include="Resources\Tcl2.ico" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Messages\messages.xml" />
    <Content Include="Resources\library.resx">
      <SubType>Designer</SubType>
    </Content>
    <Content Include="Resources\messages.resx">
      <SubType>Designer</SubType>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <None Include="Tools\archive.bat" />
    <None Include="Tools\bake.bat" />
    <None Include="Tools\build.bat" />
    <None Include="Tools\clean.bat" />
    <None Include="Tools\copy.bat" />
    <None Include="Tools\data\db.sql" />
    <None Include="Tools\data\Eagle.FxCop" />
    <None Include="Tools\data\Eagle.kpf" />
    <None Include="Tools\data\Eagle.uew" />
    <None Include="Tools\data\MDADisable.reg" />
    <None Include="Tools\data\MDAEnable.reg" />
    <None Include="Tools\data\SigCheck.txt" />
    <None Include="Tools\data\strongName.reg" />
    <None Include="Tools\data\strongName_wow64.reg" />
    <None Include="Tools\data\symbols2008.vssettings" />
    <None Include="Tools\data\symbols2010.vssettings" />
    <None Include="Tools\data\symbols2012.vssettings" />
    <None Include="Tools\data\symbols2013.vssettings" />
    <None Include="Tools\data\TclTk.uew" />
    <None Include="Tools\data\verify.lst" />
    <None Include="Tools\db.bat" />
    <None Include="Tools\deploy.bat" />
    <None Include="Tools\docTool.eagle" />
    <None Include="Tools\flight.bat" />
    <None Include="Tools\license_tag.tcl" />
    <None Include="Tools\netFx20Sp.bat" />
    <None Include="Tools\preFlight.bat" />
    <None Include="Tools\release.bat" />
    <None Include="Tools\rename.bat" />
    <None Include="Tools\sign.bat" />
    <None Include="Tools\sourceList.eagle" />
    <None Include="Tools\StrExtractor.tcl" />
    <None Include="Tools\strongName.bat" />
    <None Include="Tools\template\license_tag.txt" />
    <None Include="Tools\template\method.ehtml" />
    <None Include="Tools\update.bat" />
    <None Include="Tools\verify.eagle" />
    <None Include="Tools\versionStamp.bat" />
    <None Include="Tools\versionStamp.eagle" />
    <None Include="Tools\versionTag.eagle" />
  </ItemGroup>
  <ItemGroup>
    <None Include="..\Targets\Eagle.Builds.targets">
      <Link>Targets\Eagle.Builds.targets</Link>
    </None>
    <None Include="..\Targets\Eagle.Sample.targets">
      <Link>Targets\Eagle.Sample.targets</Link>
    </None>
    <None Include="..\Targets\Eagle.Settings.targets">
      <Link>Targets\Eagle.Settings.targets</Link>
    </None>
    <None Include="..\Targets\Eagle.targets">
      <Link>Targets\Eagle.targets</Link>
    </None>
    <None Include="..\Targets\Eagle.tasks">
      <Link>Targets\Eagle.tasks</Link>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="..\Keys\EagleBetaPrivate.snk">
      <!--
          NOTE: For security reasons, this private key file is not included in
                the public source distribution.
      -->
      <Link>Keys\EagleBetaPrivate.snk</Link>
    </None>
    <None Include="..\Keys\EagleBetaPublic.snk">
      <Link>Keys\EagleBetaPublic.snk</Link>
    </None>
    <None Include="..\Keys\EagleFastPrivate.snk">
      <!--
          NOTE: For security reasons, this private key file is not included in
                the public source distribution.
      -->
      <Link>Keys\EagleFastPrivate.snk</Link>
    </None>
    <None Include="..\Keys\EagleFastPublic.snk">
      <Link>Keys\EagleFastPublic.snk</Link>
    </None>
    <None Include="..\Keys\EagleStrongPrivate.snk">
      <!--
          NOTE: For security reasons, this private key file is not included in
                the public source distribution.
      -->
      <Link>Keys\EagleStrongPrivate.snk</Link>
    </None>
    <None Include="..\Keys\EagleStrongPublic.snk">
      <Link>Keys\EagleStrongPublic.snk</Link>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="$(EagleDir)\lib\Eagle1.0\init.eagle">
      <Link>lib\Eagle1.0\init.eagle</Link>
    </None>
    <None Include="$(EagleDir)\lib\Eagle1.0\embed.eagle">
      <Link>lib\Eagle1.0\embed.eagle</Link>
    </None>
    <None Include="$(EagleDir)\lib\Eagle1.0\safe.eagle">
      <Link>lib\Eagle1.0\safe.eagle</Link>
    </None>
    <None Include="$(EagleDir)\lib\Eagle1.0\shell.eagle">
      <Link>lib\Eagle1.0\shell.eagle</Link>
    </None>
    <None Include="$(EagleDir)\lib\Eagle1.0\test.eagle">
      <Link>lib\Eagle1.0\test.eagle</Link>
    </None>
    <None Include="$(EagleDir)\lib\Eagle1.0\vendor.eagle">
      <Link>lib\Eagle1.0\vendor.eagle</Link>
    </None>
    <None Include="$(EagleDir)\lib\Eagle1.0\word.tcl">
      <Link>lib\Eagle1.0\word.tcl</Link>
    </None>
    <None Include="$(EagleDir)\lib\Eagle1.0\pkgIndex.eagle">
      <Link>lib\Eagle1.0\pkgIndex.eagle</Link>
    </None>
    <None Include="$(EagleDir)\lib\Eagle1.0\pkgIndex.tcl">
      <Link>lib\Eagle1.0\pkgIndex.tcl</Link>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="$(EagleDir)\images\banner.png">
      <Link>images\banner.png</Link>
    </None>
    <None Include="$(EagleDir)\images\bannerMini.png">
      <Link>images\bannerMini.png</Link>
    </None>
    <None Include="$(EagleDir)\images\logo.png">
      <Link>images\logo.png</Link>
    </None>
    <None Include="$(EagleDir)\images\logoBlueShirt.png">
      <Link>images\logoBlueShirt.png</Link>
    </None>
    <None Include="$(EagleDir)\images\logoBlueUrl.png">
      <Link>images\logoBlueUrl.png</Link>
    </None>
    <None Include="$(EagleDir)\images\logoBlueUrlShirt.png">
      <Link>images\logoBlueUrlShirt.png</Link>
    </None>
    <None Include="$(EagleDir)\images\logoSfx.bmp">
      <Link>images\logoSfx.bmp</Link>
    </None>
    <None Include="$(EagleDir)\images\logoShirt.png">
      <Link>images\logoShirt.png</Link>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="Configurations\EagleConsole.ini" />
    <None Include="Configurations\EagleConsoleNoColor.ini" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Tests\all.eagle" />
    <None Include="Tests\aplus.eagle" />
    <None Include="Tests\append.eagle" />
    <None Include="Tests\apply.eagle" />
    <None Include="Tests\array.eagle" />
    <None Include="Tests\array2.eagle" />
    <None Include="Tests\bad-subst.eagle" />
    <None Include="Tests\base64.eagle" />
    <None Include="Tests\basic.eagle" />
    <None Include="Tests\benchmark.eagle" />
    <None Include="Tests\big-dir.eagle" />
    <None Include="Tests\busy.eagle" />
    <None Include="Tests\catch.eagle" />
    <None Include="Tests\commands.eagle" />
    <None Include="Tests\constraints.eagle" />
    <None Include="Tests\continue.eagle" />
    <None Include="Tests\data\bad_subst.txt" />
    <None Include="Tests\data\benchmark.txt" />
    <None Include="Tests\data\client.tcl" />
    <None Include="Tests\data\evaluate.eagle" />
    <None Include="Tests\data\FakeInstances.reg" />
    <None Include="Tests\data\file.dat" />
    <None Include="Tests\data\FontViewer.xaml" />
    <None Include="Tests\data\garbage.txt" />
    <None Include="Tests\data\read.eagle" />
    <None Include="Tests\data\read2.eagle" />
    <None Include="Tests\data\read3.eagle" />
    <None Include="Tests\data\read4.eagle" />
    <None Include="Tests\data\script.eagle" />
    <None Include="Tests\data\settings.xml" />
    <None Include="Tests\data\source.eagle" />
    <None Include="Tests\data\substitute.eagle" />
    <None Include="Tests\data\tcl_unload.tcl" />
    <None Include="Tests\data\test.png" />
    <None Include="Tests\data\test.sqlite3" />
    <None Include="Tests\data\test.xls" />
    <None Include="Tests\data\testProcs.tcl" />
    <None Include="Tests\data\unbalanced_brace.eagle" />
    <None Include="Tests\data\unbalanced_brace2.eagle" />
    <None Include="Tests\data\unicode_bom.txt" />
    <None Include="Tests\data\unicode_no_bom.txt" />
    <None Include="Tests\data\utf8.txt" />
    <None Include="Tests\data\xaml2.eagle" />
    <None Include="Tests\debug-try.eagle" />
    <None Include="Tests\debug.eagle" />
    <None Include="Tests\debug2.eagle" />
    <None Include="Tests\debug3.eagle" />
    <None Include="Tests\debug-ops.eagle" />
    <None Include="Tests\delay-out.eagle" />
    <None Include="Tests\epilogue.eagle" />
    <None Include="Tests\error.eagle" />
    <None Include="Tests\error2.eagle" />
    <None Include="Tests\excel.eagle" />
    <None Include="Tests\excel2.eagle" />
    <None Include="Tests\exec.eagle" />
    <None Include="Tests\expr.eagle" />
    <None Include="Tests\expr2.eagle" />
    <None Include="Tests\expr3.eagle" />
    <None Include="Tests\fib.eagle" />
    <None Include="Tests\file-io.eagle" />
    <None Include="Tests\flush.eagle" />
    <None Include="Tests\foreach.eagle" />
    <None Include="Tests\format.eagle" />
    <None Include="Tests\function.eagle" />
    <None Include="Tests\garbage.eagle" />
    <None Include="Tests\global-upvar.eagle" />
    <None Include="Tests\host.eagle" />
    <None Include="Tests\info-level.eagle" />
    <None Include="Tests\interp-exited.eagle" />
    <None Include="Tests\io.eagle" />
    <None Include="Tests\library.eagle" />
    <None Include="Tests\library2.eagle" />
    <None Include="Tests\library3.eagle" />
    <None Include="Tests\library4.eagle" />
    <None Include="Tests\list.eagle" />
    <None Include="Tests\load.eagle" />
    <None Include="Tests\lsearch.eagle" />
    <None Include="Tests\lsearch2.eagle" />
    <None Include="Tests\lset.eagle" />
    <None Include="Tests\lsort.eagle" />
    <None Include="Tests\lsort2.eagle" />
    <None Include="Tests\lsort3.eagle" />
    <None Include="Tests\namespace.eagle" />
    <None Include="Tests\namespace-delete.eagle" />
    <None Include="Tests\namespace-delete2.eagle" />
    <None Include="Tests\namespace-inscope.eagle" />
    <None Include="Tests\namespace-old.eagle" />
    <None Include="Tests\nested.eagle" />
    <None Include="Tests\null.eagle" />
    <None Include="Tests\object-create.eagle" />
    <None Include="Tests\object-refcount.eagle" />
    <None Include="Tests\object.eagle" />
    <None Include="Tests\object10.eagle" />
    <None Include="Tests\object11.eagle" />
    <None Include="Tests\object12.eagle" />
    <None Include="Tests\object13.eagle" />
    <None Include="Tests\object14.eagle" />
    <None Include="Tests\object15.eagle" />
    <None Include="Tests\object2.eagle" />
    <None Include="Tests\object3.eagle" />
    <None Include="Tests\object4.eagle" />
    <None Include="Tests\object5.eagle" />
    <None Include="Tests\object6.eagle" />
    <None Include="Tests\object7.eagle" />
    <None Include="Tests\object8.eagle" />
    <None Include="Tests\object9.eagle" />
    <None Include="Tests\open.eagle" />
    <None Include="Tests\package.eagle" />
    <None Include="Tests\parser.eagle" />
    <None Include="Tests\parser2.eagle" />
    <None Include="Tests\parser3.eagle" />
    <None Include="Tests\parser4.eagle" />
    <None Include="Tests\parser5.eagle" />
    <None Include="Tests\perf.eagle" />
    <None Include="Tests\perf2.eagle" />
    <None Include="Tests\pkgIndex.eagle" />
    <None Include="Tests\pkgIndex.tcl" />
    <None Include="Tests\proc-uplevel.eagle" />
    <None Include="Tests\proc.eagle" />
    <None Include="Tests\prologue.eagle" />
    <None Include="Tests\redefine.eagle" />
    <None Include="Tests\regexp.eagle" />
    <None Include="Tests\regsub.eagle" />
    <None Include="Tests\remoting-server.eagle" />
    <None Include="Tests\return1.eagle" />
    <None Include="Tests\return2.eagle" />
    <None Include="Tests\scope-array.eagle" />
    <None Include="Tests\scope-array2.eagle" />
    <None Include="Tests\scope-error.eagle" />
    <None Include="Tests\scope-error2.eagle" />
    <None Include="Tests\scope-error3.eagle" />
    <None Include="Tests\scope.eagle" />
    <None Include="Tests\scope2.eagle" />
    <None Include="Tests\scope3.eagle" />
    <None Include="Tests\set-element.eagle" />
    <None Include="Tests\set-nested.eagle" />
    <None Include="Tests\set.eagle" />
    <None Include="Tests\short-circuit.eagle" />
    <None Include="Tests\socket.eagle" />
    <None Include="Tests\socket2.eagle" />
    <None Include="Tests\socket3.eagle" />
    <None Include="Tests\sql.eagle" />
    <None Include="Tests\string-map.eagle" />
    <None Include="Tests\subst.eagle" />
    <None Include="Tests\switch.eagle" />
    <None Include="Tests\tcl-cancel.eagle" />
    <None Include="Tests\tcl-encoding.eagle" />
    <None Include="Tests\tcl-errorInfo.eagle" />
    <None Include="Tests\tcl-load.eagle" />
    <None Include="Tests\tcl-reset-cancel1.eagle" />
    <None Include="Tests\tcl-reset-cancel2.eagle" />
    <None Include="Tests\tcl-reset-cancel3.eagle" />
    <None Include="Tests\tcl-reset-cancel4.eagle" />
    <None Include="Tests\tcl-set.eagle" />
    <None Include="Tests\tcl-subst.eagle" />
    <None Include="Tests\try.eagle" />
    <None Include="Tests\try2.eagle" />
    <None Include="Tests\try3.eagle" />
    <None Include="Tests\try4.eagle" />
    <None Include="Tests\unicode1.eagle" />
    <None Include="Tests\unicode2.eagle" />
    <None Include="Tests\uplevel-tcl.eagle" />
    <None Include="Tests\uplevel1.eagle" />
    <None Include="Tests\uplevel2.eagle" />
    <None Include="Tests\uplevel3.eagle" />
    <None Include="Tests\uplevel3a.eagle" />
    <None Include="Tests\uplevel4.eagle" />
    <None Include="Tests\uplevel5.eagle" />
    <None Include="Tests\upvar-reverse.eagle" />
    <None Include="Tests\upvar-tcl.eagle" />
    <None Include="Tests\version.eagle" />
    <None Include="Tests\vwait.eagle" />
    <None Include="Tests\watch-alias.eagle" />
    <None Include="Tests\winforms.eagle" />
    <None Include="Tests\winforms2.eagle" />
    <None Include="Tests\winforms3.eagle" />
    <None Include="Tests\winforms4.eagle" />
    <None Include="Tests\winforms5.eagle" />
    <None Include="Tests\winforms6.eagle" />
    <None Include="Tests\winforms7.eagle" />
    <None Include="Tests\winforms8.eagle" />
    <None Include="Tests\writebox.eagle" />
    <None Include="Tests\xaml1.eagle" />
    <None Include="Tests\xml.eagle" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Tests\tcl\format.test" />
    <None Include="Tests\tcl\lmap.test" />
    <None Include="Tests\tcl\namespace.test" />
    <None Include="Tests\tcl\namespace-old.test" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Import Project="$(EagleDir)\Targets\Eagle.targets" />
  <PropertyGroup>
    <BuildDependsOn>
      EagleDetectUserBuilds;
      EagleDetectUserSettings;
      EagleDetectBuildTool;
      EagleDetectOperatingSystem;
      EagleDetectWix30;
      EagleDetectWix35;
      EagleDetectWix36;
      EagleDetectWix37;
      EagleDetectWix38;
      EagleMsgGenUnsetReadOnly;
      EagleMsgGen;
      EagleMessagesResGenUnsetReadOnly;
      EagleMessagesResGen;
      EagleLibraryResGenUnsetReadOnly;
      EagleLibraryResGen;
      EagleDetectNetFx20;
      EagleDetectNetFx20Sp;
      EagleDetectNetFx30;
      EagleDetectNetFx35;
      EagleDetectNetFx40;
      EagleDetectNetFx45;
      EagleDetectNetFx451;
      EagleDetectNetFx452;
      $(BuildDependsOn);
      EagleStripPdbPath;
      EagleStrongNameSign;
      EagleAuthenticodeSign;
      EagleCopyDllToBuildTasks;
      FixCopyFilesToOutputDirectory;
      GetDoneFiles;
      UpdateDoneFiles;
    </BuildDependsOn>
    <CleanDependsOn>
      $(CleanDependsOn);
      EagleCleanBuildTasks;
      CleanDoneFiles;
    </CleanDependsOn>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>